# dev-utils
This is a collection of utility scripts for handling common tasks on linux/mac
machines.



# Command line use
<!---[[[cog
import cog
import subprocess
res = subprocess.check_output(["dev-utils","--help"],stderr=subprocess.DEVNULL, text=True).splitlines()
cog.outl("## dev-utils")
cog.outl("```text")
for line in res:
    cog.outl(line)
cog.outl("```")
]]]-->
## dev-utils
```text

 Usage: dev-utils [OPTIONS] COMMAND [ARGS]...

 A collection of provisioning tools for common tasks during (mostly python)
 development.

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --version                     Show the version and exit.                     │
│ --install-completion          Install completion for the current shell.      │
│ --show-completion             Show completion for the current shell, to copy │
│                               it or customize the installation.              │
│ --help                        Show this message and exit.                    │
╰──────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────╮
│ direnv       Emit the contents of a .envrc file suitable for python          │
│              development.                                                    │
│ direnv-init  Configure the user's direnv rc file                             │
│ precommit    If precommit is available, run it until it succeeds or          │
│              `max_tries` is exceeded.                                        │
│ venv         Make a venv                                                     │
╰──────────────────────────────────────────────────────────────────────────────╯

```
<!-- [[[end]]] -->

<!---[[[cog
import cog
from dev_utils.__main__ import _subcommand_names
for subname in _subcommand_names:
    res = subprocess.check_output(["dev-utils",subname, "--help"],stderr=subprocess.DEVNULL, text=True).splitlines()
    cog.outl(f"## dev-utils {subname}")
    cog.outl("```text")
    for line in res:
        cog.outl(line)
    cog.outl("```")
]]]-->
## dev-utils precommit
```text

 Usage: dev-utils precommit [OPTIONS]

 If precommit is available, run it until it succeeds or `max_tries` is
 exceeded.

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --max-tries        INTEGER  [default: 3]                                     │
│ --help                      Show this message and exit.                      │
╰──────────────────────────────────────────────────────────────────────────────╯

```
## dev-utils venv
```text

 Usage: dev-utils venv [OPTIONS]

 Make a venv

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --base-python                      TEXT  [default: None]                     │
│ --name                             TEXT  [default: venv]                     │
│ --do-update      --no-do-update          [default: do-update]                │
│ --help                                   Show this message and exit.         │
╰──────────────────────────────────────────────────────────────────────────────╯

```
## dev-utils direnv-init
```text

 Usage: dev-utils direnv-init [OPTIONS]

 Configure the user's direnv rc file

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --replace       --no-replace          [default: no-replace]                  │
│ --target-dir                    PATH  [default:                              │
│                                       /Users/gvoysey/.config/direnv]         │
│ --help                                Show this message and exit.            │
╰──────────────────────────────────────────────────────────────────────────────╯

```
## dev-utils direnv
```text

 Usage: dev-utils direnv [OPTIONS]

 Emit the contents of a .envrc file suitable for python development.

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --python-version        TEXT  [default: None]                                │
│ --help                        Show this message and exit.                    │
╰──────────────────────────────────────────────────────────────────────────────╯

```
<!-- [[[end]]] -->
